/*!
 * @ngx-dummy/Accordion-Simple library
 * Simple accordion created for angular / ionic projects.
 * https://github.com/ngx-dummy/accordion-simple
 *
 * Copyright  Vladimir Ovsyukov <ovsyukov@yandex.com>
 * Published under GNU LGPLv3 License
 */
import { AfterContentChecked, AfterViewInit, ElementRef, Renderer2, NgZone } from '@angular/core';
import { DomSanitizer, SafeResourceUrl } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class AccordionItemImgDirective implements AfterViewInit, AfterContentChecked {
    private el;
    private renderer;
    private zone;
    private sanitizer;
    get src(): string | SafeResourceUrl | undefined;
    private _nativeImgEl;
    private _src;
    private _openSign;
    private _closeSign;
    private _baseLogoImg;
    private _baseChevronImg;
    private _isSet;
    private _needToRecheck;
    constructor(el: ElementRef<HTMLImageElement>, renderer: Renderer2, zone: NgZone, sanitizer: DomSanitizer);
    ngAfterViewInit(): void;
    ngAfterContentChecked(): void | SafeResourceUrl;
    onLoad: ({ target, ...rest }: {
        target: HTMLImageElement;
        rest: any[];
    }) => void;
    onError: ({ target, ...rest }: {
        target: HTMLImageElement;
        rest: any[];
    }) => void;
    private _doOpenCloseSrcRecheck;
    private _setItemHeaderImgSrc;
    private _setItemHeaderImgSafeSrc;
    private _readElDataSet;
    private _setLoadSuccess;
    private _setLoadAlter;
    private _isImgOpenClose;
    private _isLogoImg;
    private _isCloserImg;
    private _setNoRecheck;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccordionItemImgDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AccordionItemImgDirective, ".accord-item__header-img", never, {}, {}, never, never, false>;
}
//# sourceMappingURL=accordion-item-img.directive.d.ts.map