/*!
 * @ngx-dummy/Accordion-Simple library
 * Simple accordion created for angular / ionic projects.
 * https://github.com/ngx-dummy/accordion-simple
 *
 * Copyright  Vladimir Ovsyukov <ovsyukov@yandex.com>
 * Published under GNU LGPLv3 License
 */
import { ElementRef, EventEmitter, AfterViewInit, Renderer2, OnInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { AccordionItemComponent } from './accordion-item.component';
import { AccordionOpenService } from './accordion-open.service';
import { IToggler, IAccordionItemStyling, AccordionItemInternal } from './settings/';
import * as i0 from "@angular/core";
export declare class AccordionItemDirective implements OnInit, AfterViewInit, OnDestroy {
    private hostCmp;
    private hostElRef;
    private itemStatusSvc;
    private render;
    private sanitizer;
    private cd;
    item: AccordionItemInternal;
    itemStyles: IAccordionItemStyling;
    logo: string;
    openSign: string;
    closeSign: string;
    bodyDblclkClose: boolean;
    isNumbered: boolean;
    toggled: EventEmitter<IToggler>;
    isOpen: boolean;
    private hostDestroy$$;
    constructor(hostCmp: AccordionItemComponent, hostElRef: ElementRef<HTMLElement>, itemStatusSvc: AccordionOpenService, render: Renderer2, sanitizer: DomSanitizer, cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onClick: ([{ outerHTML }, { dataset }]: [{
        outerHTML: string;
    }, {
        dataset: any;
    }]) => void;
    onDClick: ([{ outerHTML }, { dataset }]: [{
        outerHTML: string;
    }, {
        dataset: any;
    }]) => void;
    private _handleClick;
    private _toggle;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccordionItemDirective, [null, null, { host: true; }, null, null, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AccordionItemDirective, "[ngxdAccordionItem]", never, { "item": "ngxdAccordionItem"; "itemStyles": "styling"; "logo": "logo"; "openSign": "openSign"; "closeSign": "closeSign"; "bodyDblclkClose": "bodyDblclkClose"; "isNumbered": "isNumbered"; }, { "toggled": "toggled"; }, never, never, false>;
}
//# sourceMappingURL=accordion-item.directive.d.ts.map