/*!
 * @ngx-dummy/Accordion-Simple library
 * Simple accordion created for angular / ionic projects.
 * https://github.com/ngx-dummy/accordion-simple
 *
 * Copyright  Vladimir Ovsyukov <ovsyukov@yandex.com>
 * Published under GNU LGPLv3 License
 */
import { OnInit, SimpleChanges, OnChanges, OnDestroy, TemplateRef, ElementRef, Renderer2 } from '@angular/core';
import { AccordionOpenService } from './accordion-open.service';
import { Accordion, IAccordionStyling, IAccordionItemStyling, IToggler, AccordionItemInternal } from './settings/';
import * as i0 from "@angular/core";
export declare class AccordionComponent implements OnInit, OnChanges, OnDestroy {
    private itemsOpenSvc;
    private hostEl;
    private renderer;
    static idx: number;
    private defloadingTpl;
    _openedItems: string;
    get id(): string;
    get name(): string | null | undefined;
    set accordionList(acc: Accordion);
    get accordionItems(): AccordionItemInternal[];
    openSign: string;
    closeSign: string;
    listLogo: string;
    accordionStyling: IAccordionStyling;
    set loadingTpl(val: TemplateRef<Element>);
    get loadingTpl(): TemplateRef<Element>;
    _bodyDblclkClose: boolean;
    _itemStyle: IAccordionItemStyling;
    _isNumbered: boolean;
    private _loadingTpl;
    private _accord;
    private multiSelect;
    constructor(itemsOpenSvc: AccordionOpenService, hostEl: ElementRef<Element>, renderer: Renderer2);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    onItemToggled: ({ itemId, isOpen }?: IToggler) => void;
    closeAll: () => void;
    trackByFn: (_ind: number, { itemId, ...rest }: any) => number;
    private get attributes();
    static ɵfac: i0.ɵɵFactoryDeclaration<AccordionComponent, [{ self: true; }, null, null]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AccordionComponent, "ngxd-accordion", ["ngxdAccordion"], { "accordionList": "accordionList"; "openSign": "openSign"; "closeSign": "closeSign"; "listLogo": "listLogo"; "accordionStyling": "accordionStyling"; "loadingTpl": "loadingTpl"; }, {}, never, never, false>;
}
//# sourceMappingURL=accordion.component.d.ts.map