/*!
 * @ngx-dummy/Accordion-Simple library
 * Simple accordion created for angular / ionic projects.
 * https://github.com/ngx-dummy/accordion-simple
 *
 * Copyright  Vladimir Ovsyukov <ovsyukov@yandex.com>
 * Published under GNU LGPLv3 License
 */
import { TemplateRef } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
import { ItemTemplateContext } from './IAccordion';
export declare const imgBase64ToBlob: (Base64Image: any, imageType?: string) => Blob;
export declare const svgToBase64src: (rawSvg: string) => string;
export declare const prepRes: (item: string, sanitizer: DomSanitizer) => import("@angular/platform-browser").SafeResourceUrl;
export declare const sanitizeHTML: (item: string | object | undefined, sanitizer: DomSanitizer) => string | false | null;
export declare const getSvgSafeRes: (file: string, sanitizer: DomSanitizer) => import("@angular/platform-browser").SafeResourceUrl;
export declare const getPngSafeRes: (file: string, sanitizer: DomSanitizer) => import("@angular/platform-browser").SafeResourceUrl;
export declare const blobToSafeRes: (blob: Blob, sanitizer: DomSanitizer) => import("@angular/platform-browser").SafeResourceUrl;
export declare const bodyWithTmpl: (item: string | ItemTemplateContext) => item is ItemTemplateContext;
export declare const getItemBodyTemplate: (item: string | ItemTemplateContext, defaultTmpl: TemplateRef<Element>) => TemplateRef<Element | HTMLElement>;
export declare const getItemBodyCtx: (item: string | ItemTemplateContext) => string | ItemTemplateContext;
//# sourceMappingURL=helpers.d.ts.map